FEM Analysis.png FEM Analysis

Menu location
FEM → New mechanical analysis‏‎
Workbenches
FEM
Default shortcut
N,A
See also
FEM tutorial


Description

The FEM Analysis could be seen as a Container that holds all objects of a Finite Element Analysis. It is mandatory to have a analysis container which holds all the needed objects. At least one of the following objects is needed for a mechanical analysis:


How to use

  1. Press the FEM Analysis.png Fem Analysis button, or press N then A keys. A new Analysis is created and set to active.
  2. Other objects could be added or removed to the analysis container by drag and drop.
  3. To add new FEM Objects to the document the analysis has to be active. Double click on the analysis does activate the analysis.


Options

  • Up to date there is no option to choose.
  • A frequency analysis in in development. See [1] for more informations.


Properties

  • DATAOutpuDir: Specifies the working directory of the analysis


Scripting

  • new analysis
MechanicalAnalysis.makeMechanicalAnalysis( name ) 
  • add object to the analysis
App.ActiveDocument.MechanicalAnalysis.Member = App.ActiveDocument.MechanicalAnalysis.Member + [ (object) ] 
  • remove object from the analysis
member = App.ActiveDocument.MechanicalAnalysis.Member
member.remove( documentobject )
 App.ActiveDocument.MechanicalAnalysis.Member = member 


Examples:

import MechanicalAnalysis
analysis = MechanicalAnalysis.makeMechanicalAnalysis("MechanicalAnalysis")
FemGui.setActiveAnalysis(analysis)

addobj = App.ActiveDocument.getObject("MechanicalMaterial")
App.ActiveDocument.MechanicalAnalysis.Member = App.ActiveDocument.MechanicalAnalysis.Member + [addobj]

removeobj = App.ActiveDocument.getObject("MechanicalMaterial")
member = App.ActiveDocument.MechanicalAnalysis.Member
member.remove(removeobj)
App.ActiveDocument.MechanicalAnalysis.Member = member 


Other languages:
English • ‎español • ‎français • ‎italiano • ‎русский